PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerASCIIOpen

Opens an ASCII file for writing as a PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIOpen(MPI_Comm comm,const char name[],PetscViewer *lab)

Collective

### Input Parameters

| comm | - the communicator
| name | - the file name

### Output Parameter

| lab | - the PetscViewer to use with the specified file

### Notes

To open a ASCII file as a viewer for reading one must use the sequence

        PetscViewerCreate(comm,&lab);

        PetscViewerSetType(lab,PETSCVIEWERASCII);

        PetscViewerFileSetMode(lab,FILE_MODE_READ);

        PetscViewerFileSetName(lab,name);

This PetscViewer can be destroyed with PetscViewerDestroy().

The MPI communicator used here must match that used by the object one is viewing. For example if the Mat was created with a PETSC_COMM_WORLD, then the Viewer must be created with PETSC_COMM_WORLD

As shown below, PetscViewerASCIIOpen() is useful in conjunction with MatView() and VecView()

         PetscViewerASCIIOpen(PETSC_COMM_WORLD,"mat.output",&viewer);
         MatView(matrix,viewer);

### See Also

MatView(), VecView(), PetscViewerDestroy(), PetscViewerBinaryOpen(), PetscViewerASCIIRead()
PetscViewerASCIIGetPointer(), PetscViewerPushFormat(), PETSC_VIEWER_STDOUT_, PETSC_VIEWER_STDERR_, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF,

### Level

beginner

### Location

src/sys/classes/viewer/impls/ascii/vcreatea.c

### Examples

src/ksp/ksp/tutorials/ex54.c.html
src/ksp/ksp/tutorials/ex55.c.html
src/ksp/ksp/tutorials/ex56.c.html
src/ksp/ksp/tutorials/ex72.c.html
src/snes/tutorials/ex15.c.html
src/snes/tutorials/ex48.c.html
src/snes/tutorials/ex70.c.html
src/snes/tutorials/ex1f.F90.html
src/ts/tutorials/ex9.c.html
src/ts/tutorials/ex14.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages